# Uses of Interface
org.eclipse.net4j.util.collection.Closeable

Packages that use Closeable
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.io
Interfaces and classes for I/O.

## Uses of Closeable in org.eclipse.net4j.util.collection

Subinterfaces of Closeable in org.eclipse.net4j.util.collection
Modifier and Type
Interface
Description
`interface`
`CloseableIterator<E>`
A closeable iterator.
Classes in org.eclipse.net4j.util.collection that implement Closeable
Modifier and Type
Class
Description
`class`
`AbstractCloseableIterator<E>`
`class`
`DelegatingCloseableIterator<E>`

## Uses of Closeable in org.eclipse.net4j.util.io

Methods in org.eclipse.net4j.util.io with parameters of type Closeable
Modifier and Type
Method
Description
`static void`
IOUtil.`close(Closeable closeable)`
`static Exception`
IOUtil.`closeSilent(Closeable closeable)`